Saxon API for .NET |

# XQueryEvaluator.Evaluate Method

Evaluate the query, returning the result as an `XdmValue` (that is, a sequence of nodes and/or atomic values).

public XdmValue Evaluate();

#### Return Value

An `XdmValue` representing the results of the query

#### Exceptions

Exception Type | Condition
--- | ---
DynamicError | Throws a DynamicError if any run-time failure occurs while evaluating the query.

#### See Also

XQueryEvaluator Class | Saxon.Api Namespace